
Redmine - Defect #8472

Private checkbox ignored on issue creation with "Set own issues public or private" permission

2011-05-31 12:23 - Alexis U.

Status: Closed Start date: 2011-05-31

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version: 1.2.1   

Resolution: Fixed Affected version: 1.2.0

Description

When a user creates a private issue, everybody who can view issues (defined in issue tracking permissions) can see it as if it was

public.

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Related issues:

Has duplicate Redmine - Defect #8814: Private checkbox ignored on issue creat... Closed 2011-05-31

Associated revisions

Revision 5991 - 2011-06-01 19:16 - Jean-Philippe Lang

Fixed: Private flag ignored when creating an issue with set_own_issues_private permission only (#8472).

History

#1 - 2011-05-31 12:37 - Etienne Massip

How is set your roles issue visibility ?

Did you run migrations ?

#2 - 2011-05-31 13:34 - Alexis U.

Hi,

The Set issues public or private parameter is set to true only for the manager role.

The developer has his Set own issues public or private set to true, everybody else has it set to false.

And yes, I run a migration from the version 1.1.3

#3 - 2011-05-31 14:17 - Etienne Massip

- File issue_visibility_combo.PNG added

Sorry, I meant the "Issue visibility" combo :

 issue_visibility_combo.PNG 

#4 - 2011-05-31 15:00 - Alexis U.

When two users have a developer role on the same project, with the 'Issues visibility' set to 'All non private issues' for that role, if developer A creates

a private issue (with the status new), developer B can see it and update it.

Furthermore, an anonymous member can also see it (while his issue visibility is also set to 'All non private issues').

It behaves as if the Issue tracking > View Issues parameter was not taking into account the private/public parameter of the issue.

#5 - 2011-05-31 17:19 - Jean-Philippe Lang
Can not reproduce this issue. Any plugin installed?

#6 - 2011-05-31 17:24 - Alexis U.

Only one: the Redmine Theme Changer plugin.

#7 - 2011-06-01 15:08 - Marc Baucher

I have reproduced :

if "Set issues public or private" is checked and "Set own issues public or private" is checked, private flag is registered at issue creation

if "Set issues public or private" is unchecked and "Set own issues public or private" is checked, it does not work

#8 - 2011-06-01 18:57 - Jean-Philippe Lang

- Subject changed from Private issue visible by everyone to Private checkbox ignored on issue creation with "Set own issues public or private

permission

- Category set to Issues permissions

- Priority changed from Normal to High

- Target version set to 1.2.1

Got it. Actually, the "Private" checkbox is ignored when the user creates an issue and has only the "Set own issues public or private" permission. The

issue is not created as a private issue.

#9 - 2011-06-01 18:58 - Jean-Philippe Lang

- Subject changed from Private checkbox ignored on issue creation with "Set own issues public or private permission to Private checkbox ignored on

issue creation with "Set own issues public or private" permission

#10 - 2011-06-01 19:16 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Fixed in r5991.

#11 - 2011-06-06 10:13 - Alexis U.

Great! It works fine, thanks a lot!

#12 - 2011-07-02 19:26 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.2-stable.

Files

issue_visibility_combo.PNG 5.16 KB 2011-05-31 Etienne Massip
